import QtQuick 1.1

Item
{
    property bool hasBorder: true
    property Item border: hasBorder ? commonBorder : nullBorder
    property Item content
    objectName: "Bordered"

    height: border.height
    width: border.width

    CommonBorder
    {
        id: commonBorder
    }
    NullBorder
    {
        id: nullBorder
    }
    Component.onCompleted: { border.load(content) }
}
