import QtQuick 1.1

Item
{
	width: parent.width
	
	property color infoLevel: "black"
	property string headerText
	property alias  headerFont: header.font
	property string bodyText
	property alias  bodyFont: description.font
	
	height: childrenRect.height
	
	Rectangle
	{
		id: asterics
		y: headerFont.pointSize / 2
		color: infoLevel
		width: 5
		height: 5
	}
					
	Text 
	{ 
		id: header
		anchors.left: asterics.right
		anchors.leftMargin: 5
		anchors.right: parent.right
		text: headerText
		wrapMode: "WordWrap"
	}
	
	Text 
	{ 
		id: description
		anchors.left: header.left
		anchors.right: parent.right
		anchors.top: header.bottom
		text: bodyText
		wrapMode: "WordWrap"
	}
}