import QtQuick 1.1

SettingsToolbarButton
{
    id: toggleButton

    property variant target
    property string property

    backgroundImage: target[property] ? "../images/settings/firewall/toolbar_pressed.png" : "../images/settings/firewall/toolbar.png"
    hoverImage: target[property] ? "../images/settings/firewall/toolbar_pressed.png" : "../images/settings/firewall/toolbar_hover.png"

    function toggle()
    {
        target[property] = !target[property];
    }

    Keys.onSpacePressed: toggle()

    onClicked: toggle()

}
