import QtQuick 1.1

Image
{
	id: progressbar
	property int percent: 50

	width: 390
	source: "../common/images/splash/progress_line.png"

	BorderImage
	{
		anchors.top: parent.top
		anchors.bottom: parent.bottom
		anchors.left: parent.left
		anchors.leftMargin: 1
		border
		{
			left: 2
			right: 2
		}
		width: Math.max((parent.width - 2) * Math.max(Math.min(progressbar.percent, 100), 0) / 100, border.left + border.right)
		source: "../common/images/splash/progress_all.png"
	}
}
