import QtQuick 1.1

Item
{
    visible: false

    property alias searchListCaptionFont: searchListCaptionFont.font

    property alias dashboardCaptionFont: dashboardCaptionFont.font
    property alias dashboardDescriptionFont: dashboardDescriptionFont.font
    property alias dashboardProductStateFont: dashboardProductStateFont.font
    property alias dashboardButtonFont: dashboardButtonFont.font

    property alias header2Font: header2.font
    property alias captionFont: windowCaption.font
    property alias descriptionFont: description.font

	property alias footerFont: footer.font

	Text
	{
		visible:false

		id: windowCaption
		font.family: "Tahoma"
		font.italic: false
		font.pointSize: 11
		font.bold: false
	} 
	
	Text
	{
		visible:false

		id: searchListCaptionFont
		font.family: "Tahoma"
		font.italic: false
		font.pointSize: 12
		font.bold: true
	} 

	Text
	{
		visible:false

		id: header2
		font.family: "Tahoma"
		font.italic: false
		font.pointSize: 13
		font.bold: false
	}
	
	Text
	{
		visible:false

		id: button
		font.family: "Tahoma"
		font.italic: false
		font.pointSize: 11
		font.bold: false
	}
	
	Text
	{
		visible:false

		id: description
		font.family: "Tahoma"
		font.italic: false
		font.pointSize: 8
		font.weight: Font.Light
	} 
		
	Text
	{
		visible:false

		id: dashboardCaptionFont
        font.family: "FranklinGothicMediCondTT"
		font.italic: false
        font.pointSize: 12
	}
	
	Text
	{
		visible:false

		id: dashboardDescriptionFont
        font.family: "FranklinGothicBookCondTT"
		font.italic: false
        font.pointSize: 12
	}

	Text
	{
		visible:false

		id: dashboardProductStateFont
        font.pointSize: 22
        font.family: "FranklinGothicMediCondTT";
	}

    Text
    {
        visible:false
        id: dashboardButtonFont
        font.pointSize: 10
        font.family: "FranklinGothicMediCondTT"
    }
	
	Text
	{
		visible: false
		id: advancedToolsCaptionFont
		font.pointSize: 14
		font.family: "FranklinGothicMediCondTT"
	}
	
	Text
	{
		visible: false
		id: advancedToolsMainFont
		font.pointSize: 8
		font.family: "FranklinGothicMediCondTT"
	}
	
	Text
	{
		visible: false

		id: footer
		font.pointSize: 10
		font.family: "FranklinGothicMediumTT"
	}
}
